//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : ucp_api_jesd.h
// Author             : boheng.lin@smartlogictech.com
// Date First Issued  : 2023-03-04 02:37:50 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#ifndef UCP_API_JESD_H_
#define UCP_API_JESD_H_

#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

extern void UCP_API_JESD_PlatformSetup (void);
extern void UCP_API_JESD_Reset(void);
extern void UCP_API_JESD_CRG_Cfg(void);
extern void UCP_API_JESD_PMA_Cfg(void);
extern void UCP_API_JESD_JsSubCtrl_Cfg(void);
extern void UCP_API_JESD_SUB_Init(void);
extern void UCP_API_JESD_Gpio_Cfg(void);
extern void UCP_API_RF_PA_Pow(void);
extern void UCP_API_RF_PA_Set(void);
extern void UCP_API_RF_PA_Get(void);
extern void UCP_API_RF_LNA_Pow(void);
extern void UCP_API_RF_LNA_Set(void);
extern void UCP_API_RF_LNA_Get(void);
extern void UCP_API_RF_RFFE_Tx(void);
extern void UCP_API_RF_RFFE_Rx(void);
extern void UCP_API_RF_RFFE_Att_Set(void);
extern void UCP_API_RF_RFFE_Att_Get(void);
extern void UCP_API_RF_RFFE_Gain_Set(void);
extern void UCP_API_RF_RFFE_Gain_Get(void);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef UCP_API_JESD_H_ */
